equal_range_N
Prev | Chapter 6. Db_multimap | Next

## equal_range_N

### Function Details

    equal_range_N(const key_type &x,
        size_t &nelem) const

Find equal range and number of key/data pairs in the range.

This function also returns the number of elements within the returned range via the out parameter nelem.

#### Parameters

##### x

The target key to find.

##### nelem

The output parameter to take back the number of key/data pair in the returned range.

#### See Also

http://www.cplusplus.com/reference/stl/multimap/equal_range/

    equal_range_N(const key_type &x, size_t &nelem,
        bool readonly=false)

Find equal range and number of key/data pairs in the range.

This function also returns the number of elements within the returned range via the out parameter nelem.

#### Parameters

##### x

The target key to find.

##### nelem

The output parameter to take back the number of key/data pair in the returned range.

##### readonly

Whether the returned iterator is readonly.

#### See Also

http://www.cplusplus.com/reference/stl/multimap/equal_range/

### Group: Searching Functions

See of db_map's searching functions group for details about iterator, function version and parameters.

db_map

### Class

db_multimap

Prev | Up | Next
equal_range | Home | count